Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 5)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 12, 13, 14 ... 19, 20, 21  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Holysword
l33t
l33t


Joined: 19 Nov 2006
Posts: 946
Location: Greece

PostPosted: Fri Jan 21, 2011 2:45 pm    Post subject: Reply with quote

Okay, what happened to the regular expressions in KDE? I cannot find any documentation anymore, neither in KDE help nor in google =S
_________________
"Nolite arbitrari quia venerim mittere pacem in terram non veni pacem mittere sed gladium" (Yeshua Ha Mashiach)
Back to top
View user's profile Send private message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 152
Location: Czech Republic

PostPosted: Fri Jan 21, 2011 4:32 pm    Post subject: Reply with quote

Holysword wrote:
Okay, what happened to the regular expressions in KDE? I cannot find any documentation anymore, neither in KDE help nor in google =S


What documentation are you looking for? RE in KDE should be the same as everywhere in system.
Back to top
View user's profile Send private message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 152
Location: Czech Republic

PostPosted: Fri Jan 21, 2011 4:37 pm    Post subject: Reply with quote

mkyral wrote:
genstorm wrote:
Not yet, I had more important things to do.

What helped not: deleting the mysqle folder in .kde4/.../apps/amarok


I renamed the whole .kde4 directory and started with default cofiguration - doesn't help :-(


I'm not able to find out what changed. I've updated my system including Amarok/mysqld (changed to mariaDB) and now I'm not able to setup the collection directory. It is in amarokrc, but It is not shown in Amarok preferences.
I downgraded Amarok back to 2.3.90 and again installed mysqld - the last working configuration - no change. Removed amarok configuration, rebuilded all libraries - no change :-(
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Sat Jan 22, 2011 2:28 am    Post subject: Reply with quote

mysql_upgrade command maybe? I've needed full rescan after 2.4.0 upgrade with no further problems...
Back to top
View user's profile Send private message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 152
Location: Czech Republic

PostPosted: Sat Jan 22, 2011 7:23 am    Post subject: Reply with quote

Lustmored wrote:
mysql_upgrade command maybe? I've needed full rescan after 2.4.0 upgrade with no further problems...


Are you using external database? I don't know how to run mysql_upgrade on embedded database. But anyway, even with blank amarok configuration it does not work. I'm not able setup the collection directory - I select the mp3 directory, click on apply, but nothing changed - the apply button is still active and configuration is not saved :-(
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Sat Jan 22, 2011 11:51 am    Post subject: Reply with quote

I have no idea what mysql_upgrade does exactly actually, was just a blind guess to try help :wink: Now I'm out of ideas too. Never has such a big problems :(
Back to top
View user's profile Send private message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 152
Location: Czech Republic

PostPosted: Sat Jan 22, 2011 12:54 pm    Post subject: Reply with quote

Thanks for the idea. I've created a brand new user account - not change. Could you tell me, what version of mysql/ qt/ kde you have?
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Sat Jan 22, 2011 1:15 pm    Post subject: Reply with quote

dev-db/mysql-5.1.53:0::installed
Description A fast, multi-threaded, multi-user SQL database server.
Homepage http://www.mysql.com/
From repositories gentoo
Installed time Mon Nov 29 19:37:49 CET 2010
Installed using paludis-0.54.10
License GPL-2
Use flags
USE
(-big-tables)
(-cluster)
(community)
(-debug)
(embedded)
(extraengine)
(-latin1)
(-max-idx-128)
(-minimal)
(-pbxt)
(perl)
(profiling)
(-selinux)
(ssl)
(-static)
(-xtradb)
(-test)

x11-libs/qt-core-4.7.1-r1:4::installed
Description The Qt toolkit is a comprehensive C++ application development framework
Homepage http://qt.nokia.com/
From repositories gentoo
Installed time Fri Nov 19 11:41:53 CET 2010
Installed using paludis-0.54.8
License || ( LGPL-2.1 GPL-3 )
Use flags
USE
(-aqua)
(-debug)
(exceptions)
(glib)
(iconv)
(jit)
(optimized-qmake)
(pch)
(-private-headers)
(qt3support)
(ssl)

KDE-4.5.95 from overlay

Everything works here
Back to top
View user's profile Send private message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 152
Location: Czech Republic

PostPosted: Sat Jan 22, 2011 3:16 pm    Post subject: Reply with quote

Thanks a lot. My collection is back - I had to remove the mysql overlay and build portage mysql. It seems like ebuilds in mysql overlay are broken somehow :-(
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Sat Jan 22, 2011 3:50 pm    Post subject: Reply with quote

Glad it worked for you, but I am already on portage mysql, so no solution for me. What version did you build?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 152
Location: Czech Republic

PostPosted: Sat Jan 22, 2011 4:03 pm    Post subject: Reply with quote

genstorm wrote:
Glad it worked for you, but I am already on portage mysql, so no solution for me. What version did you build?

Code:

[I] dev-db/mysql
Installed versions:  5.1.53(15:17:23 22.1.2011)(community embedded perl ssl -big-tables -cluster -debug -extraengine -latin1 -max-idx-128 -minimal -pbxt -profiling -selinux -static -test -xtradb)

[I] media-sound/amarok
Installed versions:  2.4.0(4)!t(15:33:09 22.1.2011)(cdda debug embedded lastfm linguas_cs opengl player semantic-desktop utils -daap -ipod -kdeenablefinal -mp3tunes -mtp)                                                       


I had to rebuild my collection.
Back to top
View user's profile Send private message
dolphinaura
Tux's lil' helper
Tux's lil' helper


Joined: 13 Jul 2010
Posts: 145

PostPosted: Sat Jan 22, 2011 4:09 pm    Post subject: Reply with quote

wrc1944 wrote:
kde-4.6.0 final tagged. http://websvn.kde.org/tags/KDE/4.6.0 :)

and... I made the mistake of syncing the overlays and updating... :roll:
oops.

Good thing kdelibs 4.6.0 wasnt uploaded yet. :D

I ended up removing all the 4.6 ebuilds with
Code:

cd /var/lib/layman/kde
sudo find . -type f -name "*4.6.0.ebuild" -exec rm -f {} \;

and running repoman...
_________________
------------------------
Dolphinaura
http://twitter.com/dolphinaura
http://dolphinaura.com
Back to top
View user's profile Send private message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Sat Jan 22, 2011 10:57 pm    Post subject: Reply with quote

Can anyone tell me what's up with qt (especially qt-gui and qt-svg) and the accessibility USE-flag?
A few days ago portage said that there was a dependency error... after trying this and that I found out that I had to set "x11-libs/qt-svg accessibility" in package.use ... But WHY ?
I always thought that accessibility was sth. for kinda "retarded" people (i hope this expression is correct and not offensive). I mean people that need "contrast desktop effects", "zoom", extra loud sounds, etc.

So... what's that USE-flag for? And why forces portage me to enable it?
Back to top
View user's profile Send private message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 152
Location: Czech Republic

PostPosted: Sun Jan 23, 2011 10:35 am    Post subject: Reply with quote

@benneque: good question, I enabled, but don't understood it as well. It could be a bug in the code, missing #IFDEF causing it.
Back to top
View user's profile Send private message
Holysword
l33t
l33t


Joined: 19 Nov 2006
Posts: 946
Location: Greece

PostPosted: Mon Jan 24, 2011 9:10 am    Post subject: Reply with quote

mkyral wrote:
Holysword wrote:
Okay, what happened to the regular expressions in KDE? I cannot find any documentation anymore, neither in KDE help nor in google =S


What documentation are you looking for? RE in KDE should be the same as everywhere in system.

Last time I used it in kate there was a nice dropdown menu with the most used things. KDE help itself had some examples, if I'm not mistaken.
_________________
"Nolite arbitrari quia venerim mittere pacem in terram non veni pacem mittere sed gladium" (Yeshua Ha Mashiach)
Back to top
View user's profile Send private message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 152
Location: Czech Republic

PostPosted: Mon Jan 24, 2011 9:47 am    Post subject: Reply with quote

Holysword wrote:
mkyral wrote:
Holysword wrote:
Okay, what happened to the regular expressions in KDE? I cannot find any documentation anymore, neither in KDE help nor in google =S


What documentation are you looking for? RE in KDE should be the same as everywhere in system.

Last time I used it in kate there was a nice dropdown menu with the most used things. KDE help itself had some examples, if I'm not mistaken.


Do you mean this? http://marian.kyralovi.cz/tmp/kate_re.png
Back to top
View user's profile Send private message
Holysword
l33t
l33t


Joined: 19 Nov 2006
Posts: 946
Location: Greece

PostPosted: Mon Jan 24, 2011 1:10 pm    Post subject: Reply with quote

mkyral wrote:
Holysword wrote:
mkyral wrote:
Holysword wrote:
Okay, what happened to the regular expressions in KDE? I cannot find any documentation anymore, neither in KDE help nor in google =S


What documentation are you looking for? RE in KDE should be the same as everywhere in system.

Last time I used it in kate there was a nice dropdown menu with the most used things. KDE help itself had some examples, if I'm not mistaken.


Do you mean this? http://marian.kyralovi.cz/tmp/kate_re.png

Dumb me! Exactly, thanks!
_________________
"Nolite arbitrari quia venerim mittere pacem in terram non veni pacem mittere sed gladium" (Yeshua Ha Mashiach)
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Wed Jan 26, 2011 12:48 pm    Post subject: Reply with quote

kde-4.6.0 tarballs showing up in the stable mirrors! :D Ebuilds in overlay.

ftp://ftp.kde.org/pub/kde/stable/4.6.0/src
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Wed Jan 26, 2011 5:43 pm    Post subject: Reply with quote

Wohoo! And make sure to be on latest state of the overlay, lots of Manifests were updated yesterday.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Thu Jan 27, 2011 7:11 pm    Post subject: Reply with quote

Quote:
System Requirements
In order to get the most out of these releases, we strongly recommend to use the latest version of Qt, as of today 4.7.2.


wait - what ? :o
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1599
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Thu Jan 27, 2011 8:52 pm    Post subject: Reply with quote

kernelOfTruth wrote:
Quote:
System Requirements
In order to get the most out of these releases, we strongly recommend to use the latest version of Qt, as of today 4.7.2.


wait - what ? :o


I've been on 4.7.+ for some months now without any noticeable issues.
_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 152
Location: Czech Republic

PostPosted: Thu Jan 27, 2011 9:14 pm    Post subject: Reply with quote

firephoto wrote:
kernelOfTruth wrote:
Quote:
System Requirements
In order to get the most out of these releases, we strongly recommend to use the latest version of Qt, as of today 4.7.2.


wait - what ? :o


I've been on 4.7.+ for some months now without any noticeable issues.


4.7.1 caused crash Lokalize when Backspace is used. KDM dialog have no focus when mouse cursor is outside of the dialog. - Hope 4.7.2 will fix it.
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Fri Jan 28, 2011 4:04 pm    Post subject: Reply with quote

Is qt-4.7.2 in an overlay- it's not in portage (yet)?
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
boris64
Veteran
Veteran


Joined: 04 Oct 2003
Posts: 1770
Location: vechelde / peine

PostPosted: Fri Jan 28, 2011 4:26 pm    Post subject: Reply with quote

wrc1944 wrote:
Is qt-4.7.2 in an overlay- it's not in portage (yet)?

If i'm correct it's not even released.
There is no qt-4.7.2 on http://qt.nokia.com/downloads/ :?:
_________________
boris64.net 200x / visit my desktop / try these tiny kernel patches ;)
Back to top
View user's profile Send private message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1599
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Fri Jan 28, 2011 6:17 pm    Post subject: Reply with quote

boris64 wrote:
wrc1944 wrote:
Is qt-4.7.2 in an overlay- it's not in portage (yet)?

If i'm correct it's not even released.
There is no qt-4.7.2 on http://qt.nokia.com/downloads/ :?:


I'm on @qt-all-4.7-live-nokia +stable-branch from overlay which is labeled as 4.7.2 since the 19th or before.
_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 12, 13, 14 ... 19, 20, 21  Next
Page 13 of 21

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum